/*
 *	A1*x + B1*y + C1 = 0
 *	A2*x + B2*y + C2 = 0
 */

#include <stdio.h>

int main()
{
	double a1, b1, c1, a2, b2, c2;
	double nom, den;

	printf("a1: ");
	scanf("%le", &a1);
	printf("b1: ");
	scanf("%le", &b1);
	printf("c1: ");
	scanf("%le", &c1);
	printf("a2: ");
	scanf("%le", &a2);
	printf("b2: ");
	scanf("%le", &b2);
	printf("c2: ");
	scanf("%le", &c2);

	/* do such lines exist? */
	if ( !a1 && !b1 ) {
		printf("Line 1 does not exist!\n");
		return 0;
	}
	if ( !a2 && !b2 ) {
		printf("Line 2 does not exist!\n");
		return 0;
	}

	/* calculate nominator for x */
	nom = b2*c1 - b1*c2;
	/* calculate denominator */
	den = a2*b1 - a1*b2;
	/* is denominator equal to zero? */
	if ( !den ) {
		/* is nominator equal to zero? */
		if ( !nom ) {
			printf("The lines coincide\n");
		}
		else
			printf("The lines are parallel\n");
	}
	else 
		printf("(%le,%le)\n", nom / den, ( a1*c2 - a2*c1 ) / den);
	
	return 0;
}
